Get a volume
GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/volumes/{volume}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/volumes/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/volumes/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgapplication
required
string
The application ID
Example
test-appenvironment
required
string
The environment ID
Example
test-envvolume
required
string
The volume ID
Responses
Section titled “Responses”The volume
Media typeapplication/json
object
volumeId
string
volumeName
string
description
string
environmentEfsId
string
createdAt
string
rootDirectory
string
accessPointId
string
accessPointArn
string
Examplegenerated
{ "volumeId": "example", "volumeName": "example", "description": "example", "environmentEfsId": "example", "createdAt": "example", "rootDirectory": "example", "accessPointId": "example", "accessPointArn": "example"}The environment not found
